### Method

# Gimp Drawable edit_clear

#### Declaration [src]

    gboolean
    gimp_drawable_edit_clear (
      GimpDrawable* drawable
    )

#### Description [src]

Clear selected area of drawable.

This procedure clears the specified drawable. If the drawable has an alpha channel, the cleared pixels will become transparent. If the drawable does not have an alpha channel, cleared pixels will be set to the background color. This procedure only affects regions within a selection if there is a selection active.

This procedure is affected by the following context setters: gimp_context_set_background().

#### Return value

Type: `gboolean`

TRUE on success.